AutoCAD Tip: Convert MTEXT to Multileader
26 April 2018All, Architecture and Engineering, Construction, Fabrication, Manufacturing

Recently I have had several calls asking if it was possible to convert regular MTEXT to a multileader. Well, AutoCAD doesn’t have the capabilities to do so, but I found a snazzy lisp routine years ago on the AutoCAD Tips blog that does the trick. In theire blog titled Add Leader to Text – Make Multileader they have this lips routine:
(defun c:mt2ml ( / oobj nobj nstrg)
(vl-load-com)
(setq oobj (vlax-ename->vla-object (car (nentsel “nSelect source text: “))))
(if (= (vlax-get-property oobj ‘ObjectName) “AcDbMText”)
(setq nstrg (vlax-get-property oobj ‘TextString))
(exit)
)
(command “_MLEADER”)
(while (= 1 (logand (getvar “CMDACTIVE”) 1)) (command PAUSE))
(setq nobj (vlax-ename->vla-object (entlast)))
(if (= (vlax-get-property nobj ‘ObjectName) “AcDbMLeader”)
(vlax-put-property nobj ‘TextString nstrg)
(exit)
)
(entdel (vlax-vla-object->ename oobj))
(princ)
)
I could not attach the lisp routine to the post as stated in the video. Simply copy the red text above to a Notepad file and save it as MT2ML.lsp and it will be ready to use. Once done and loaded in AutoCAD this should happen: